// Copyright (c) 2003, Torlus <greg@heliscar.com>
// see LICENCE.txt for further details

#ifndef __UTIL_H__
#define __UTIL_H__

#define int2fp(a) (a<<8)
#define fp2int(a) (a>>8)

#define int2angle(a) ((a) & 0xFF)

#define max(a,b) (((a) > (b)) ? (a) : (b))
#define min(a,b) (((a) < (b)) ? (a) : (b))
#define abs(a) (((a)<0) ? -(a) : (a))
#define sign(a) (((a)<0) ? -1 : (a)>0 ? 1 : 0)

#define swap(type, a, b)    \
{               \
    type _t_;   \
    _t_ = a;    \
    a = b;      \
    b = _t_;    \
}

#endif // __UTIL_H__
