// Copyright (c) 2003, Torlus <greg@heliscar.com>
// see LICENCE.txt for further details

#ifndef __GBAUTIL_H__
#define __GBAUTIL_H__

#include "gba.h"
#include "dma.h"

#define RGB(r,g,b) (r + (g<<5) + (b<<10))

#define EWRAM __attribute__ ((section (".ewram")))
#define IWRAM __attribute__ ((section (".iwram")))

extern void WaitForVsync(void);
extern void Flip(void);
extern void DMACopy(void *src, void *dest, u32 count, u32 mode);

#endif // __GBAUTIL_H__
